AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Image generationDoubao Seedream

Create / edit images

Generate images from text or edit reference images.

POST/v1/images/generations

Generate images from a prompt, or provide reference images in image within the same JSON request to edit them.

Authorization

bearerAuth
AuthorizationBearer <token>

Use a platform API key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

Streaming response events

Read each image from image_generation.partial_succeeded or image_generation.partial_failed. Read usage on image_generation.completed and request errors on error.

Replace the editing example URL with the image URL generated in the previous step. For Base64, replace BASE64_BYTES with actual image data and retain the Data URL prefix matching its format.

Volcengine image generation APIAPI fields, responses and feature guides.